=== kopete/protocols/groupwise/libgroupwise/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( NOT TQCA_FOUND )
  add_subdirectory( qca )
endif( )
add_subdirectory( tasks )

# add_definitions(
#   -DUSE_TLSHANDLER
# )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TQCA_INCLUDE_DIR}
)


##### groupwise (static) ########################

tde_add_library( groupwise STATIC_PIC AUTOMOC
  SOURCES
    bytestream.cpp chatroommanager.cpp client.cpp connector.cpp
    coreprotocol.cpp eventprotocol.cpp eventtransfer.cpp
    gwclientstream.cpp gwerror.cpp gwfield.cpp gwglobal.cpp
    inputprotocolbase.cpp privacymanager.cpp qcatlshandler.cpp
    request.cpp requestfactory.cpp response.cpp responseprotocol.cpp
    rtf.cpp safedelete.cpp securestream.cpp stream.cpp task.cpp
    tlshandler.cpp transfer.cpp transferbase.cpp userdetailsmanager.cpp
    usertransfer.cpp
)


##### gwtest (static) ###########################

tde_add_library( gwtest STATIC_PIC AUTOMOC
  SOURCES
    coreprotocol.cpp eventtransfer.cpp gwfield.cpp request.cpp
    requestfactory.cpp transfer.cpp usertransfer.cpp client.cpp task.cpp
    safedelete.cpp gwclientstream.cpp qcatlshandler.cpp stream.cpp
    tlshandler.cpp response.cpp connector.cpp securestream.cpp
    bytestream.cpp
)
