=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),s390)
DONT_BUILD+= kwifimanager
endif
ifneq ($(DEB_HOST_ARCH_OS),linux)
DONT_BUILD+= kwifimanager tdednssd
endif
export DH_OPTIONS

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_WEBCAM="ON" \
 -DWITH_LIBXSLT="ON" \
 -DWITH_ARTS="ON" \
 -DWITH_SLP="ON" \
 -DBUILD_KOPETE_PROTOCOL_ALL="ON" \
 -DBUILD_KOPETE_PLUGIN_ALL="ON"

DEB_DH_STRIP_ARGS  := --dbg-package=tdenetwork-trinity-dbg

PACKAGES_WITH_LIBS := librss1-trinity kopete-trinity ksirc-trinity kwifimanager-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

DEB_FIXPERMS_EXCLUDE := opt/trinity/bin/kppp opt/trinity/bin/kppplogview \
	etc/ppp/peers/kppp-options

binary-install/kppp-trinity::
	chown root:dip debian/kppp-trinity/opt/trinity/bin/kppp*
	chown root:dip debian/kppp-trinity/etc/ppp/peers/kppp-options
	chmod 4754 debian/kppp-trinity/opt/trinity/bin/kppp
	chmod 0754 debian/kppp-trinity/opt/trinity/bin/kppplogview
	chmod 0640 debian/kppp-trinity/etc/ppp/peers/kppp-options
