## tdenetwork-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 project( tdenetwork )
 
 set( PACKAGE tdenetwork )
-set( VERSION R14.0.10 )
+set( VERSION R14.0.11 )
 
 
 ##### include essential cmake modules ###########
@@ -46,14 +46,16 @@
 
 ##### optional stuff ############################
 
-option( WITH_JINGLE "Enable jingle support (kopete)" OFF )
-option( WITH_SPEEX "Enable speex support (for jingle)" OFF )
-option( WITH_WEBCAM "Enable webcam support (kopete/msn)" OFF )
-option( WITH_GSM "Enable GSM SMS support (kopete/sms)" OFF )
-option( WITH_XMMS "Enable XMMS support (kopete/nowlistening)" OFF )
-option( WITH_LIBXSLT "Enable XSLT support (kopete/webpresence)" OFF )
-option( WITH_ARTS "Enable aRts support" OFF )
-option( WITH_SLP "Enable OpenSLP support (krdc, krfb)" OFF )
+option( WITH_ALL_OPTIONS    "Enable all optional support" ON )
+option( WITH_GCC_VISIBILITY  "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
+option( WITH_JINGLE "Enable jingle support (kopete)" ${WITH_ALL_OPTIONS} )
+option( WITH_SPEEX "Enable speex support (for jingle)" ${WITH_ALL_OPTIONS} )
+option( WITH_WEBCAM "Enable webcam support (kopete/msn)" ${WITH_ALL_OPTIONS} )
+option( WITH_GSM "Enable GSM SMS support (kopete/sms)" ${WITH_ALL_OPTIONS} )
+option( WITH_XMMS "Enable XMMS support (kopete/nowlistening)" ${WITH_ALL_OPTIONS} )
+option( WITH_LIBXSLT "Enable XSLT support (kopete/webpresence)" ${WITH_ALL_OPTIONS} )
+option( WITH_ARTS "Enable aRts support" ${WITH_ALL_OPTIONS} )
+option( WITH_SLP "Enable OpenSLP support (krdc, krfb)" ${WITH_ALL_OPTIONS} )
 
 
 ##### options comments ##########################
