=== kopete/protocols/groupwise/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )
add_subdirectory( libgroupwise )
add_subdirectory( ui )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/ui
  ${CMAKE_CURRENT_SOURCE_DIR}/libgroupwise
  ${CMAKE_CURRENT_SOURCE_DIR}/libgroupwise/tasks
  ${CMAKE_CURRENT_SOURCE_DIR}/ui
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TQCA_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_groupwise.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)

install( FILES gwchatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_groupwise )


##### kopete_groupwise (module) #################

tde_add_kpart( kopete_groupwise AUTOMOC
  SOURCES
    gwprotocol.cpp gwcontact.cpp gwaccount.cpp gwbytestream.cpp
    gwconnector.cpp gwmessagemanager.cpp gwcontactlist.cpp
  LINK
    kopetegroupwiseui-static groupwise-static groupwise_tasks-static
    ${TQCA_LIBRARIES} kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
