## tdenetwork-trinity 14.0.12

=== krdc/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( vnc )
add_subdirectory( rdp )


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( krdc )

install( FILES
    pointcursor.png pointcursormask.png pinup.png pindown.png
    iconify.png close.png
  DESTINATION ${DATA_INSTALL_DIR}/krdc/pics )

install( FILES
    _rfb._tcp
  DESTINATION ${DATA_INSTALL_DIR}/zeroconf )

tde_create_translated_desktop(
  SOURCE krdc.desktop
  PO_DIR krdc-desktops
)

tde_create_translated_desktop(
  SOURCE smb2rdc.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
  PO_DIR krdc-desktops
)

tde_create_translated_desktop(
  SOURCE vnc.protocol rdp.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR krdc-desktops
)


##### krdc (executable) #########################

tde_add_executable( krdc AUTOMOC
  SOURCES
    main.cpp krdc.cpp vidmode.cpp kfullscreenpanel.cpp hostprofiles.ui
    maindialogbase.ui keycapturewidget.ui kservicelocator.cpp
    keycapturedialog.cpp kremoteview.cpp smartptr.cpp hostpreferences.cpp
    preferencesdialog.cpp maindialogwidget.cpp maindialog.cpp
  LINK vnc-static rdp-static tdeui-shared tdednssd-shared tdewalletclient-shared jpeg Xext ${LIB_SLP}
  DESTINATION ${BIN_INSTALL_DIR}
)
