=== debian/changelog ===
tdenetwork-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Apr 2022 00:01:14 +0200
