## tdenetwork-trinity 14.0.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 ##### general package setup #####################
@@ -17,7 +17,6 @@
 project( tdenetwork )
 
 set( PACKAGE tdenetwork )
-set( VERSION R14.0.11 )
 
 
 ##### include essential cmake modules ###########
@@ -34,8 +33,12 @@
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths #######################
@@ -46,7 +49,7 @@
 
 ##### optional stuff ############################
 
-option( WITH_ALL_OPTIONS    "Enable all optional support" ON )
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
 option( WITH_GCC_VISIBILITY  "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 option( WITH_JINGLE "Enable jingle support (kopete)" ${WITH_ALL_OPTIONS} )
 option( WITH_SPEEX "Enable speex support (for jingle)" ${WITH_ALL_OPTIONS} )
