=== debian/changelog ===
tdenetwork-trinity (4:14.0.13-1romtnet) universal; urgency=low

  * Applying krfb-crash_at_disconnect.patch
  * Applying krfb-new_symbols_appending.patch
  * Applying kopete-crash_at_disconnect.patch

 -- Roman Savochenko <roman@oscada.org>  Tue, 1 Nov 2022 20:00:00 +0200

tdenetwork-trinity (4:14.0.13-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Sep 2022 06:50:27 +0200
