## tdenetwork-trinity 14.1.0

=== kopete/protocols/jabber/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( ui )
add_subdirectory( icons )
add_subdirectory( libiris )
add_subdirectory( tdeioslave )

if( WITH_JINGLE )
  add_subdirectory( jingle )
  set( SUPPORT_JINGLE 1 CACHE INTERNAL "" FORCE )
  set( JINGLE_LIBRARIES
    kopetejabberjingle-static cricketsessionphone-static cricketxmllite-static
    cricketp2pclient-static cricketxmpp-static cricketp2pbase-static cricketbase-static
    mediastreamer-static ortp-static
    ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${GMODULE2_LIBRARIES}
    ${EXPAT_LIBRARY} ${SPEEX_LIBRARIES} pthread
  )
endif( )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/ui
  ${CMAKE_CURRENT_BINARY_DIR}/jingle
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/include
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/jabber
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/xmpp-im
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/util
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/network
  ${CMAKE_CURRENT_SOURCE_DIR}/ui
  ${CMAKE_CURRENT_SOURCE_DIR}/jingle
  ${CMAKE_CURRENT_SOURCE_DIR}/../../libkopete
  ${CMAKE_CURRENT_SOURCE_DIR}/../../libkopete/ui
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TQCA_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TQCA_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_jabber.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)

install( FILES jabberchatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_jabber )


##### jabberclient (static) #####################

tde_add_library( jabberclient STATIC_PIC AUTOMOC
  SOURCES
    jabberclient.cpp jabberconnector.cpp jabberbytestream.cpp
)


##### kopete_jabber (module) ####################

tde_add_kpart( kopete_jabber AUTOMOC
  SOURCES
    jabberprotocol.cpp jabberaccount.cpp jabberresource.cpp
    jabberresourcepool.cpp jabberbasecontact.cpp jabbercontact.cpp
    jabbergroupcontact.cpp jabbergroupmembercontact.cpp
    jabbercontactpool.cpp jabberformtranslator.cpp jabberformlineedit.cpp
    jabberchatsession.cpp jabbergroupchatmanager.cpp
    jabberfiletransfer.cpp jabbercapabilitiesmanager.cpp
    jabbertransport.cpp jabberbookmarks.cpp
  LINK
    jabberclient-static kopetejabberui-static
    iris_jabber-static iris_xmpp_core-static iris_xmpp_im-static iris-static
    ${TQCA_LIBRARIES} cutestuff_network-static cutestuff_util-static ${JINGLE_LIBRARIES}
    kopete-shared idn
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
