=== debian/changelog ===
tdenetwork-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 21 Mar 2023 02:13:18 +0100
