=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>, Sarah Hobbs <hobbsee@ubuntu.com>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, docbook-to-man, doxygen, gawk, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, sharutils, valgrind [!armel !mips !mipsel !riscv64], libxxf86vm-dev, libv4l-dev, libtqca-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, docbook-to-man, doxygen, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgcrypt-dev, libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libspeex-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, valgrind [!armel !mips !mipsel !riscv64], libxxf86vm-dev, libv4l-dev, libssl-dev, libtqca-dev
 Standards-Version: 3.8.4
 
 Package: tdenetwork-trinity
 Section: tde
 Architecture: all
-Replaces: kdenetwork-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
 Depends: dcoprss-trinity (>= ${source:Version}), tdenetwork-tdefile-plugins-trinity (>= ${source:Version}), kdict-trinity (>= ${source:Version}), tdednssd-trinity (>= ${source:Version}), kget-trinity (>= ${source:Version}), knewsticker-trinity (>= ${source:Version}), kopete-trinity (>= ${source:Version}), kpf-trinity (>= ${source:Version}), kppp-trinity (>= ${source:Version}), krdc-trinity (>= ${source:Version}), krfb-trinity (>= ${source:Version}), ksirc-trinity (>= ${source:Version}), kwifimanager-trinity (>= ${source:Version}), librss1-trinity (>= ${source:Version})
 Recommends: tdenetwork-filesharing-trinity (>= ${source:Version}), ktalkd-trinity (>= ${source:Version}), lisa-trinity (>= ${source:Version})
 Suggests: tdenetwork-trinity-doc-html (>= ${source:Version})
@@ -27,8 +27,8 @@
 Package: dcoprss-trinity
 Section: net
 Architecture: any
-Replaces: dcoprss-trinity (<< 4:14.0.0~)
-Breaks: dcoprss-trinity (<< 4:14.0.0~)
+Replaces: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
+Breaks: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: RSS utilities for Trinity
  tdenetwork-dcoprss is a RSS to DCOP bridge, allowing all
@@ -44,8 +44,8 @@
 Package: tdenetwork-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdebase-trinity
 Description: Trinity network documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -64,8 +64,8 @@
 Package: tdenetwork-tdefile-plugins-trinity
 Section: tde
 Architecture: any
-Replaces: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Enhances: konqueror-trinity
 Description: torrent metainfo plugin for Trinity
@@ -80,8 +80,8 @@
 Package: tdenetwork-filesharing-trinity
 Section: net
 Architecture: any
-Replaces: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: perl-suid
 Description: network filesharing configuration module for Trinity
@@ -94,8 +94,8 @@
 Package: kdict-trinity
 Section: net
 Architecture: any
-Replaces: kdict-trinity (<< 4:14.0.0~)
-Breaks: kdict-trinity (<< 4:14.0.0~)
+Replaces: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
+Breaks: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Provides: dict-client-trinity
@@ -111,8 +111,8 @@
 Package: kget-trinity
 Section: net
 Architecture: any
-Replaces: kget-trinity (<< 4:14.0.0~)
-Breaks: kget-trinity (<< 4:14.0.0~)
+Replaces: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
+Breaks: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: download manager for Trinity
@@ -129,8 +129,8 @@
 Package: knewsticker-trinity
 Section: tde
 Architecture: any
-Replaces: knewsticker-trinity (<< 4:14.0.0~)
-Breaks: knewsticker-trinity (<< 4:14.0.0~)
+Replaces: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
+Breaks: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kicker-trinity
 Suggests: khelpcenter-trinity, knewsticker-scripts-trinity
 Description: news ticker applet for Trinity
@@ -146,8 +146,8 @@
 Package: kopete-trinity
 Section: tde
 Architecture: any
-Replaces: kopete-trinity (<< 4:14.0.0~)
-Breaks: kopete-trinity (<< 4:14.0.0~)
+Replaces: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
+Breaks: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: tqca-tls
 Suggests: tdeartwork-emoticons-trinity, khelpcenter-trinity, imagemagick, gnupg, gnomemeeting
@@ -169,8 +169,8 @@
 Package: kpf-trinity
 Section: net
 Architecture: any
-Replaces: kpf-trinity (<< 4:14.0.0~)
-Breaks: kpf-trinity (<< 4:14.0.0~)
+Replaces: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
+Breaks: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: public fileserver for Trinity
@@ -185,8 +185,8 @@
 Package: kppp-trinity
 Section: net
 Architecture: any
-Replaces: kppp-trinity (<< 4:14.0.0~)
-Breaks: kppp-trinity (<< 4:14.0.0~)
+Replaces: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
+Breaks: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ppp
 Suggests: khelpcenter-trinity
 Description: modem dialer and ppp frontend for Trinity
@@ -204,8 +204,8 @@
 Package: krdc-trinity
 Section: net
 Architecture: any
-Replaces: krdc-trinity (<< 4:14.0.0~)
-Breaks: krdc-trinity (<< 4:14.0.0~)
+Replaces: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
+Breaks: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Recommends: rdesktop, libjpeg-turbo62
@@ -220,8 +220,8 @@
 Package: krfb-trinity
 Section: net
 Architecture: any
-Replaces: krfb-trinity (<< 4:14.0.0~)
-Breaks: krfb-trinity (<< 4:14.0.0~)
+Replaces: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
+Breaks: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Recommends: libjpeg-turbo62
@@ -239,30 +239,6 @@
 Package: ksirc-trinity
 Section: net
 Architecture: any
-Replaces: ksirc-trinity (<< 4:14.0.0~)
-Breaks: ksirc-trinity (<< 4:14.0.0~)
+Replaces: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
+Breaks: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${perl:Depends}
-Recommends: libio-socket-ssl-perl
-Suggests: khelpcenter-trinity
-Description: IRC client for Trinity
- KSirc is an IRC chat client for TDE. It supports scripting with Perl and has a
- lot of compatibility with mIRC for general use.
- .
- If you want to connect to an IRC server via SSL, you will need to install the
- recommended package libio-socket-ssl-perl.
- .
- This package is part of Trinity, as a component of the TDE network module.
- See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.
-
-Package: ktalkd-trinity
-Section: net
-Priority: extra
-Replaces: ktalkd-trinity (<< 4:14.0.0~)
-Breaks: ktalkd-trinity (<< 4:14.0.0~)
-Architecture: any
-Depends: ${shlibs:Depends}, netbase, update-inetd
-Recommends: talk, ytalk
-Suggests: khelpcenter-trinity
-Provides: talkd-trinity
-Description: talk daemon for Trinity
- KTalkd is an enhanced talk daemon - a program to handle incoming talk
