## tdenetwork-trinity 14.1.2

=== debian/changelog ===
tdenetwork-trinity (4:14.1.2-2romtnet) universal; urgency=low

  * Applying krdc-return.patch
  * Applying krfb-return.patch
  * Applying krfb-crash_at_disconnect_new.patch
  * Applying krfb-new_symbols_appending.patch
  * Applying kopete-crash_at_disconnect.patch

 -- Roman Savochenko <roman@oscada.org>  Mon, 29 Apr 2024 20:00:00 +0200

tdenetwork-trinity (4:14.1.2-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Apr 2024 09:27:49 +0200
